# LightVPN

An alternative to AVPNC for Fedora users.

## How does it work?

Aviatrix VPN requires a special authentification string in order to allow login.
To retrieve it, the client is redirected to a web page, and the webpage pings local port 15395 to send the authentification string.

## How ?

Compile:

```sh
$ go build
```

Run:

```sh
$ sudo ./light-vpn -ovpn /path/to/corp-saml-aviatrix-vpn.ovpn
Using configuration file is [/home/mycroft/.downloads/corp-saml-aviatrix-vpn.ovpn].
Please now go to https://prod.aviatrixsystems.com/flask/saml/login/avxcorpvpn.
Got your token! Email is: pmarie@aviatrix.com
Launching OpenVPN. Check log file: /tmp/openvpn-avx.log
...
```

## Using ssh with a remote box

If lightvpn is on a remote box (ie: ec2), it is required to redirect your local 15395 to distant's. Use:

```sh
ssh -L 15395:localhost:15395 <your-ec2-box>
```

Then initiate `light-vpn` in a persistent virtual terminal (like `screen` or `tmux`), and follow the instructions.
